Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class DefaultFragmentIdentifierHandler

    java.lang.Object
      org.apache.batik.parser.DefaultPreserveAspectRatioHandler
          org.apache.batik.parser.DefaultFragmentIdentifierHandler

All Implemented Interfaces:
  FragmentIdentifierHandler, PreserveAspectRatioHandler, TransformListHandler

    public class DefaultFragmentIdentifierHandler

extends DefaultPreserveAspectRatioHandler
implements FragmentIdentifierHandler

This class provides an adapter for FragmentIdentifierHandler.

Field Summary
`static FragmentIdentifierHandler` | `INSTANCE` The only instance of this class.

Constructor Summary
`protected` | `DefaultFragmentIdentifierHandler()` This class does not need to be instantiated.

Method Summary
`void` | `endFragmentIdentifier()` Implements `FragmentIdentifierHandler.endFragmentIdentifier()`.
`void` | `endTransformList()` Implements `TransformListHandler.endTransformList()`.
`void` | `endViewTarget()` Invoked when a view target specification ends.
`void` | `idReference(String s)` Invoked when an ID has been parsed.
`void` | `matrix(float a, float b, float c, float d, float e, float f)` Implements `TransformListHandler.matrix(float,float,float,float,float,float)`.
`void` | `rotate(float theta)` Implements `TransformListHandler.rotate(float)`.
`void` | `rotate(float theta, float cx, float cy)` Implements `TransformListHandler.rotate(float,float,float)`.
`void` | `scale(float sx)` Implements `TransformListHandler.scale(float)`.
`void` | `scale(float sx, float sy)` Implements `TransformListHandler.scale(float,float)`.
`void` | `skewX(float skx)` Implements `TransformListHandler.skewX(float)`.
`void` | `skewY(float sky)` Implements `TransformListHandler.skewY(float)`.
`void` | `startFragmentIdentifier()` Implements `FragmentIdentifierHandler.startFragmentIdentifier()`.
`void` | `startTransformList()` Implements `TransformListHandler.startTransformList()`.
`void` | `startViewTarget()` Invoked when a view target specification starts.
`void` | `translate(float tx)` Implements `TransformListHandler.translate(float)`.
`void` | `translate(float tx, float ty)` Implements `TransformListHandler.translate(float,float)`.
`void` | `viewBox(float x, float y, float width, float height)` Invoked when 'viewBox(x,y,width,height)' has been parsed.
`void` | `viewTarget(String name)` Invoked when a view target component has been parsed.
`void` | `zoomAndPan(boolean magnify)` Invoked when a 'zoomAndPan' specification has been parsed.

Methods inherited from class org.apache.batik.parser.DefaultPreserveAspectRatioHandler
`endPreserveAspectRatio, meet, none, slice, startPreserveAspectRatio, xMaxYMax, xMaxYMid, xMaxYMin, xMidYMax, xMidYMid, xMidYMin, xMinYMax, xMinYMid, xMinYMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.parser.PreserveAspectRatioHandler
`endPreserveAspectRatio, meet, none, slice, startPreserveAspectRatio, xMaxYMax, xMaxYMid, xMaxYMin, xMidYMax, xMidYMid, xMidYMin, xMinYMax, xMinYMid, xMinYMin`

Field Detail

### INSTANCE

    public static final FragmentIdentifierHandler INSTANCE

  The only instance of this class.

Constructor Detail

### DefaultFragmentIdentifierHandler

    protected DefaultFragmentIdentifierHandler()

  This class does not need to be instantiated.

Method Detail

### startFragmentIdentifier

    public void startFragmentIdentifier()
                                 throws ParseException

  Implements `FragmentIdentifierHandler.startFragmentIdentifier()`.

  Specified by:
    `startFragmentIdentifier` in interface `FragmentIdentifierHandler`
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### idReference

    public void idReference(String s)
                     throws ParseException

  Invoked when an ID has been parsed.

  Specified by:
    `idReference` in interface `FragmentIdentifierHandler`
  Parameters:
    `s` - The string that represents the parsed ID.
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### viewBox

    public void viewBox(float x,
                        float y,
                        float width,
                        float height)
                 throws ParseException

  Invoked when 'viewBox(x,y,width,height)' has been parsed.

  Specified by:
    `viewBox` in interface `FragmentIdentifierHandler`
  Parameters:
    `x` - the x coordinate of the viewbox.
    `y` - the y coordinate of the viewbox.
    `width` - the width of the viewbox.
    `height` - the height of the viewbox.
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### startViewTarget

    public void startViewTarget()
                         throws ParseException

  Invoked when a view target specification starts.

  Specified by:
    `startViewTarget` in interface `FragmentIdentifierHandler`
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### viewTarget

    public void viewTarget(String name)
                    throws ParseException

  Invoked when a view target component has been parsed.

  Specified by:
    `viewTarget` in interface `FragmentIdentifierHandler`
  Parameters:
    `name` - the target name.
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### endViewTarget

    public void endViewTarget()
                       throws ParseException

  Invoked when a view target specification ends.

  Specified by:
    `endViewTarget` in interface `FragmentIdentifierHandler`
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### startTransformList

    public void startTransformList()
                            throws ParseException

  Implements `TransformListHandler.startTransformList()`.

  Specified by:
    `startTransformList` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### matrix

    public void matrix(float a,
                       float b,
                       float c,
                       float d,
                       float e,
                       float f)
                throws ParseException

  Implements `TransformListHandler.matrix(float,float,float,float,float,float)`.

  Specified by:
    `matrix` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### rotate

    public void rotate(float theta)
                throws ParseException

  Implements `TransformListHandler.rotate(float)`.

  Specified by:
    `rotate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### rotate

    public void rotate(float theta,
                       float cx,
                       float cy)
                throws ParseException

  Implements `TransformListHandler.rotate(float,float,float)`.

  Specified by:
    `rotate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### translate

    public void translate(float tx)
                   throws ParseException

  Implements `TransformListHandler.translate(float)`.

  Specified by:
    `translate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### translate

    public void translate(float tx,
                          float ty)
                   throws ParseException

  Implements `TransformListHandler.translate(float,float)`.

  Specified by:
    `translate` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### scale

    public void scale(float sx)
               throws ParseException

  Implements `TransformListHandler.scale(float)`.

  Specified by:
    `scale` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### scale

    public void scale(float sx,
                      float sy)
               throws ParseException

  Implements `TransformListHandler.scale(float,float)`.

  Specified by:
    `scale` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### skewX

    public void skewX(float skx)
               throws ParseException

  Implements `TransformListHandler.skewX(float)`.

  Specified by:
    `skewX` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### skewY

    public void skewY(float sky)
               throws ParseException

  Implements `TransformListHandler.skewY(float)`.

  Specified by:
    `skewY` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### endTransformList

    public void endTransformList()
                          throws ParseException

  Implements `TransformListHandler.endTransformList()`.

  Specified by:
    `endTransformList` in interface `TransformListHandler`
  Throws:
    `ParseException` - if an error occured while processing the transform

### zoomAndPan

    public void zoomAndPan(boolean magnify)

  Invoked when a 'zoomAndPan' specification has been parsed.

  Specified by:
    `zoomAndPan` in interface `FragmentIdentifierHandler`
  Parameters:
    `magnify` - true if 'magnify' has been parsed.
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### endFragmentIdentifier

    public void endFragmentIdentifier()
                               throws ParseException

  Implements `FragmentIdentifierHandler.endFragmentIdentifier()`.

  Specified by:
    `endFragmentIdentifier` in interface `FragmentIdentifierHandler`
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.